Đến nội dung


Hình ảnh
- - - - -

Cho xin lisp chỉnh chữ bị ngược khi MI


  • Please log in to reply
34 replies to this topic

#21 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 September 2010 - 10:32 PM

Vấn đề ở đây là tự động và nhanh chóng mà bạn ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#22 foudremars

foudremars

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 12 September 2010 - 10:18 AM

Vấn đề ở đây là tự động và nhanh chóng mà bạn ^^


Mình đồng ý là nếu có lisp thì sẽ nhanh hơn được khoảng 1s.
  • 0

#23 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 September 2010 - 01:46 PM

Mình đồng ý là nếu có lisp thì sẽ nhanh hơn được khoảng 1s.

:undecided: Bạn nói là trong trường hợp chỉ có 1 đối tượng,và dùng mắt thường + mất vài giây để nghĩ ra xem nó bị ngược theo chiều nào..Giả dụ có vài trăm,vài nghìn em bị đảo lộn thì..thôi rồi :bigsmile:
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#24 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 September 2010 - 05:28 PM

Hình như nó vẫn chưa đc
http://www.cadviet.c...files/3/1_9.jpg

Chào bác TrungNgaMy, anh Duy, bạn ketxu
Lisp ở bài viết số 13 chỉ xử lý với những anh Text bị Mirror thôi chứ chưa xử lý các Text bị Rotate ngược.
Muốn xử lý thêm các anh Text bị Rotate ngược nữa như file ảnh mà bác TrungNgaMy đã upload thì thêm 1 chút nữa vào code

(Defun c:mit (/ luulattext ss i n textent luubatdiem tbTB ll ur ul lr daitext ROSAVE
goctext dainuatext diemquay diemlatx diemlaty DTT TEXT ROTEXT)
(command "undo" "be")
(setq luulattext (getvar "mirrtext"))
(setvar "mirrtext" 1)
(Princ "\nHay chon doi tuong :")
(setq SS (ssget '((0 . "TEXT"))))
(setq i 0)
(setq N (sslength ss))
(while (< i N)
(setq TEXTENT (ssname SS i))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)

(setq DTT (entget TEXTENT))
(setq TEXT (cdr (assoc 71 DTT)))
(setq ROSAVE (cdr (assoc 50 DTT)))
(command "ucs" "object" textent)

(setq tbTB (textbox (list (cons -1 textent)))
ll (car tbTB)
ur (cadr tbTB)
ul (list (car ll) (cadr ur))
lr (list (car ur) (cadr ll))
)

(setq daitext (distance ul lr))
(setq goctext(angle ul lr))
(setq dainuatext (/ daitext 2))
(setq diemquay (polar ul goctext dainuatext))

(if (and (/= ROSAVE 0) (/= ROSAVE pi))
(progn
(command "rotate" textent "" diemquay (/ (* ROSAVE -180) pi))
(command "ucs" "W")
(command "ucs" "object" textent)
)
)
(setq diemlatx (list (car diemquay) (+ (cadr diemquay) 100)))
(setq diemlaty (list (- (car diemquay) 100) (cadr diemquay)))
(setq DTT (entget TEXTENT))
(setq ROTEXT (cdr (assoc 50 DTT)))
(cond
((and (= TEXT 2) (= ROTEXT 0)) (command ".mirror" textent "" diemquay diemlatx "y"))
((and (= TEXT 0) (= ROTEXT pi)) (command ".rotate" textent "" diemquay "180"))

((and (= TEXT 2) (= ROTEXT pi))
(progn (command ".mirror" textent "" diemquay diemlatx "y")
(command ".rotate" textent "" diemquay "180")
)
)
)
(if (and (/= ROSAVE 0) (/= ROSAVE pi) )
(command "rotate" textent "" diemquay (/ (* ROSAVE 180) pi))
)
;;;;;;;;;;;;;;
(if (and (/= ROSAVE pi) (> ROSAVE (/ pi 2)) (< ROSAVE (* (/ pi 2) 3) ) )
(command ".rotate" textent "" diemquay "180")
)

(command "ucs" "p")
(setq i (1+ i))
(setvar "osmode"luubatdiem)
)
(setvar "mirrtext" luulattext)
(command "undo" "end")
(Princ)
)

Các bác thử nhé

@foudremars : Lisp xử lý với nhiều đối tượng sẽ làm tăng hiệu quả công việc. Nếu nhieu thì làm bằng tay cũng được, cũng chẳng ảnh hưởng gì đến hoà bình thế giới :undecided:
  • 4

#25 foudremars

foudremars

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 13 September 2010 - 11:29 AM

:undecided: Bạn nói là trong trường hợp chỉ có 1 đối tượng,và dùng mắt thường + mất vài giây để nghĩ ra xem nó bị ngược theo chiều nào..Giả dụ có vài trăm,vài nghìn em bị đảo lộn thì..thôi rồi :bigsmile:


>> Ketxu: Bạn đưa cho mình 1 bản vẽ có hàng trăm, hàng nghìn đối tượng Text bị đảo ngược chiều lẫn lộn. 3s sau mình sẽ gửi lại cho bạn bản vẽ mà các đối tượng đó đã được sắp sếp lại, tất nhiên mình làm theo cách mình đã nói ở trên.

>> Tue_NV: Mình cũng hay vào diễn đàn và thấy rằng bạn là người rất nhiệt tình giúp đỡ các thành viên khác. Mình rất cảm ơn bạn. Mình đã dùng thử Lisp trên của bạn, và mình có một số ý kiến như sau:
1. Với những Text mà bị MIRROR theo cả 2 phương X và Y thì Lisp trên chưa đưa nó về đúng chiều được.
2. Càng nhiều đối tượng TEXT bị ngược chiều thì Lisp của bạn càng chậm hơn cách dùng lệnh MO của AutoCAD.

Cảm ơn 2 bạn đã có những ý kiến đóng góp!
  • 0

#26 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 September 2010 - 10:43 PM

>> Ketxu: Bạn đưa cho mình 1 bản vẽ có hàng trăm, hàng nghìn đối tượng Text bị đảo ngược chiều lẫn lộn. 3s sau mình sẽ gửi lại cho bạn bản vẽ mà các đối tượng đó đã được sắp sếp lại, tất nhiên mình làm theo cách mình đã nói ở trên.

>> Tue_NV: Mình cũng hay vào diễn đàn và thấy rằng bạn là người rất nhiệt tình giúp đỡ các thành viên khác. Mình rất cảm ơn bạn. Mình đã dùng thử Lisp trên của bạn, và mình có một số ý kiến như sau:
1. Với những Text mà bị MIRROR theo cả 2 phương X và Y thì Lisp trên chưa đưa nó về đúng chiều được.
2. Càng nhiều đối tượng TEXT bị ngược chiều thì Lisp của bạn càng chậm hơn cách dùng lệnh MO của AutoCAD.

Cảm ơn 2 bạn đã có những ý kiến đóng góp!


Á..Mình thấy bạn đang onl..Không cần phải phóng đại nhưng thực sự mình đang rất bất ngờ về khẳng định của bạn.Không cần 3s đâu,trong khoảng 10s bạn gửi lại cho mình cũng được,là mình thán phục lắm rùi ^^
Trong đây chỉ có 3 text bị ngược.1 cái mi x,1 cái mi Y,1 cái mi X->Y ^^
Bạn thử theo cách của bạn xem chữ còn nằm được theo hàng lối đó k,mình nhớ là nó bị đảo lại thì phải
http://www.cadviet.c...drawing1_16.dwg
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#27 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 September 2010 - 10:50 PM

À,nhân tiện e cũng thắc mắc luôn là dùng lisp trên của bác Tue cũng không thấy quay lại được :undecided:
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#28 hung1608

hung1608

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 14 September 2010 - 10:07 AM

Xin lỗi các bạn nhé thời gian qua minh phai di lam hoi xa nen không qua mang kiem tra đươc. Mình đã đoc qua các bài viết. Cam ơn các bạn đã rất nhiệt tình. Nhưng hình như không ai để ý đến lisp Siron.vlx. Cái nay mình thấy đề cập trên diễn dan đã có hay lại la tin vit .Các ban xem thu họ mình nhé
  • 0

#29 tienbinh1602

tienbinh1602

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 November 2010 - 12:05 PM

bạn nhập lệnh ( mirrtext ) enter sau đó nhập 0 rồi enter la ok
  • 0

#30 duyhung

duyhung

    biết vẽ rectang

  • Members
  • PipPip
  • 88 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 16 January 2011 - 02:57 PM

Lisp xoay or mirror này hữu dụng mà chưa dùng được triệt để hả các bác! Mọi người thử sửa lisp này hộ mình với!
  • 0
Song va chien dau!

#31 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 January 2011 - 03:08 PM

>> Ketxu: Bạn đưa cho mình 1 bản vẽ có hàng trăm, hàng nghìn đối tượng Text bị đảo ngược chiều lẫn lộn. 3s sau mình sẽ gửi lại cho bạn bản vẽ mà các đối tượng đó đã được sắp sếp lại, tất nhiên mình làm theo cách mình đã nói ở trên.

>> Tue_NV: Mình cũng hay vào diễn đàn và thấy rằng bạn là người rất nhiệt tình giúp đỡ các thành viên khác. Mình rất cảm ơn bạn. Mình đã dùng thử Lisp trên của bạn, và mình có một số ý kiến như sau:
1. Với những Text mà bị MIRROR theo cả 2 phương X và Y thì Lisp trên chưa đưa nó về đúng chiều được.
2. Càng nhiều đối tượng TEXT bị ngược chiều thì Lisp của bạn càng chậm hơn cách dùng lệnh MO của AutoCAD.

Cảm ơn 2 bạn đã có những ý kiến đóng góp!



Á..Mình thấy bạn đang onl..Không cần phải phóng đại nhưng thực sự mình đang rất bất ngờ về khẳng định của bạn.Không cần 3s đâu,trong khoảng 10s bạn gửi lại cho mình cũng được,là mình thán phục lắm rùi ^^
Trong đây chỉ có 3 text bị ngược.1 cái mi x,1 cái mi Y,1 cái mi X->Y ^^
Bạn thử theo cách của bạn xem chữ còn nằm được theo hàng lối đó k,mình nhớ là nó bị đảo lại thì phải
http://www.cadviet.c...drawing1_16.dwg

Á, topic đã bị quên lãng lâu óa, nay bạn duyhung post vào mới thấy nó nổi lên
Sau tin này là bạn foudremars bỏ mình bơ vơ ngồi ôm mộng luôn, hok thèm reply chỉ nghề nữa :) Chắc giận

Lisp xoay or mirror này hữu dụng mà chưa dùng được triệt để hả các bác! Mọi người thử sửa lisp này hộ mình với!

--> Bạn đã thử dùng code bác Tuệ viết bên trên chưa? và lỗi ra răng ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#32 duyhung

duyhung

    biết vẽ rectang

  • Members
  • PipPip
  • 88 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 16 January 2011 - 04:35 PM

Á, topic đã bị quên lãng lâu óa, nay bạn duyhung post vào mới thấy nó nổi lên
Sau tin này là bạn foudremars bỏ mình bơ vơ ngồi ôm mộng luôn, hok thèm reply chỉ nghề nữa :) Chắc giận
--> Bạn đã thử dùng code bác Tuệ viết bên trên chưa? và lỗi ra răng ?

Code này mình dùng thấy oki khi các text bình thường xong với block att là cao độ của các thiết bị thì nó hỏng có xoay và làm việc! ^^! :)
  • 0
Song va chien dau!

#33 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 January 2011 - 09:00 PM

Ok ngon rồi! Ko biết chủ thớt ném yêu cầu rồi vân du phương nào mất tiêu. Riêng mình thì thấy đã giải quyết xong thèn text (text ko bị mi mà bị ngả ngửa cũng đã khuyến mãi sửa luôn). Còn thèn text trong block thì chắc là ráng chịu vậy.

^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#34 duyhung

duyhung

    biết vẽ rectang

  • Members
  • PipPip
  • 88 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 17 January 2011 - 02:10 PM

^^

Mình thấy có lisp xo ngày xưa của bác nguyenhoanh nhưng chỉ áp dụng với block att bình thường,còn nó bị block thì hok được!
  • 0
Song va chien dau!

#35 viettrithanyeu90

viettrithanyeu90

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 January 2011 - 02:17 AM

[quote name='hung1608' post='106927' date='Sep 9 2010, 15:39']Bản vẽ của mình có rất nhiều chữ bị ngược. Minh nghe nói có lisp Siron.vlx khi dùng thì tất cả các text bị ngược sẽ trở về bình thường.Bạn nào có lisp cho mình xin nhé.
Mình tìm trên diễn đàn mà không có. Cho mình hỏi luôn nhé. Khi mình Mi block trong block đó có text thì chữ chủa block khi Mi xong thi bị ngược.
Mình dùng biến MirrText để chỉnh cũng không được. Thanks
nếu ko cần khối thì phá khối đi
  • 0